package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginReq;
import com.bwie.common.domain.response.JwtRes;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.*;

@RestController
public class AuthController {
    private final AuthService authService;


    public AuthController(AuthService authService) {
        this.authService = authService;
    }

    @PostMapping("sendcode")
    public Result sendcode(@RequestParam String userTel){
        String sendcode = authService.sendcode(userTel);
        return Result.success(sendcode);
    }

@PostMapping("login")
    public Result login(@RequestBody LoginReq loginReq){
    JwtRes login = authService.login(loginReq);
    return Result.success(login);
    }

    @GetMapping("info")
    public Result info(){
        User info = authService.info();
        return Result.success(info);
    }




}
