package com.bwie.goods;

import com.bwie.goods.service.GoodsService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import javax.annotation.PostConstruct;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.bwie.goods.mapper")
public class GoodsApp {
    private final GoodsService goodsService;

    public GoodsApp(GoodsService goodsService) {
        this.goodsService = goodsService;
    }

    public static void main(String[] args) {
        SpringApplication.run(GoodsApp.class);
    }

    @PostConstruct
    public void init(){
        goodsService.addb();
    }
}
