package com.bwie.user.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class UserController {
    private final UserService userService;

    public UserController(UserService userService) {
        this.userService = userService;
    }

    @PostMapping("findtel")
    public Result<User> findtel(@RequestParam String userTel){
        User one = userService.getOne(new LambdaQueryWrapper<User>().eq(User::getUserTel, userTel));
        return Result.success(one);
    }

    @GetMapping("addrshow")
    public Result addrshow(){
        List<String> addrshow = userService.addrshow();
        return Result.success(addrshow);
    }

    @PostMapping("addAddr")
    public Result addAddr(@RequestParam String addrName){
        userService.addAddr(addrName);
        return Result.success();
    }


}
