package com.bwie.user.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.constant.TokenConstants;
import com.bwie.common.domain.User;
import com.bwie.common.redis.RedisCache;
import com.bwie.common.utils.JwtUtils;
import com.bwie.user.mapper.UserMapper;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService{
    private final UserMapper userMapper;
    private final HttpServletRequest request;
    private final RedisCache redisCache;

    public UserServiceImpl(UserMapper userMapper, HttpServletRequest request, RedisCache redisCache) {
        this.userMapper = userMapper;
        this.request = request;
        this.redisCache = redisCache;
    }


    @Override
    public List<String> addrshow() {
        List<String> findaddr = userMapper.findaddr(info().getUserId());
        return findaddr;
    }

    @Override
    public void addAddr(String addrName) {
        userMapper.addAddr(info().getUserId(),addrName);
    }

    public User info() {
        String header = request.getHeader(TokenConstants.TOKEN);
        String userKey = JwtUtils.getUserKey(header);
        User cacheObject = redisCache.getCacheObject(TokenConstants.LOGIN_TOKEN_KEY + userKey);
        return cacheObject;
    }
}
